JaxbEmbeddableAttributes (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbEmbeddableAttributes

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbEmbeddableAttributes

    public class JaxbEmbeddableAttributes

extends Object

Java class for embeddable-attributes complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="embeddable-attributes">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="basic" type="{http://java.sun.com/xml/ns/persistence/orm}basic" maxOccurs="unbounded" minOccurs="0"/>
             <element name="many-to-one" type="{http://java.sun.com/xml/ns/persistence/orm}many-to-one" maxOccurs="unbounded" minOccurs="0"/>
             <element name="one-to-many" type="{http://java.sun.com/xml/ns/persistence/orm}one-to-many" maxOccurs="unbounded" minOccurs="0"/>
             <element name="one-to-one" type="{http://java.sun.com/xml/ns/persistence/orm}one-to-one" maxOccurs="unbounded" minOccurs="0"/>
             <element name="many-to-many" type="{http://java.sun.com/xml/ns/persistence/orm}many-to-many" maxOccurs="unbounded" minOccurs="0"/>
             <element name="element-collection" type="{http://java.sun.com/xml/ns/persistence/orm}element-collection" maxOccurs="unbounded" minOccurs="0"/>
             <element name="embedded" type="{http://java.sun.com/xml/ns/persistence/orm}embedded" maxOccurs="unbounded" minOccurs="0"/>
             <element name="transient" type="{http://java.sun.com/xml/ns/persistence/orm}transient" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected List<JaxbTransient>` | `_transient`
`protected List<JaxbBasic>` | `basic`
`protected List<JaxbElementCollection>` | `elementCollection`
`protected List<JaxbEmbedded>` | `embedded`
`protected List<JaxbManyToMany>` | `manyToMany`
`protected List<JaxbManyToOne>` | `manyToOne`
`protected List<JaxbOneToMany>` | `oneToMany`
`protected List<JaxbOneToOne>` | `oneToOne`

Constructor Summary
`JaxbEmbeddableAttributes()`

Method Summary
`List<JaxbBasic>` | `getBasic()` Gets the value of the basic property.
`List<JaxbElementCollection>` | `getElementCollection()` Gets the value of the elementCollection property.
`List<JaxbEmbedded>` | `getEmbedded()` Gets the value of the embedded property.
`List<JaxbManyToMany>` | `getManyToMany()` Gets the value of the manyToMany property.
`List<JaxbManyToOne>` | `getManyToOne()` Gets the value of the manyToOne property.
`List<JaxbOneToMany>` | `getOneToMany()` Gets the value of the oneToMany property.
`List<JaxbOneToOne>` | `getOneToOne()` Gets the value of the oneToOne property.
`List<JaxbTransient>` | `getTransient()` Gets the value of the transient property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### basic

    protected List<JaxbBasic> basic

### manyToOne

    protected List<JaxbManyToOne> manyToOne

### oneToMany

    protected List<JaxbOneToMany> oneToMany

### oneToOne

    protected List<JaxbOneToOne> oneToOne

### manyToMany

    protected List<JaxbManyToMany> manyToMany

### elementCollection

    protected List<JaxbElementCollection> elementCollection

### embedded

    protected List<JaxbEmbedded> embedded

### _transient

    protected List<JaxbTransient> _transient

Constructor Detail

### JaxbEmbeddableAttributes

    public JaxbEmbeddableAttributes()

Method Detail

### getBasic

    public List<JaxbBasic> getBasic()

  Gets the value of the basic property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the basic property.

  For example, to add a new item, do as follows:

          getBasic().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbBasic`

### getManyToOne

    public List<JaxbManyToOne> getManyToOne()

  Gets the value of the manyToOne property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the manyToOne property.

  For example, to add a new item, do as follows:

          getManyToOne().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbManyToOne`

### getOneToMany

    public List<JaxbOneToMany> getOneToMany()

  Gets the value of the oneToMany property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the oneToMany property.

  For example, to add a new item, do as follows:

          getOneToMany().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbOneToMany`

### getOneToOne

    public List<JaxbOneToOne> getOneToOne()

  Gets the value of the oneToOne property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the oneToOne property.

  For example, to add a new item, do as follows:

          getOneToOne().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbOneToOne`

### getManyToMany

    public List<JaxbManyToMany> getManyToMany()

  Gets the value of the manyToMany property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the manyToMany property.

  For example, to add a new item, do as follows:

          getManyToMany().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbManyToMany`

### getElementCollection

    public List<JaxbElementCollection> getElementCollection()

  Gets the value of the elementCollection property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the elementCollection property.

  For example, to add a new item, do as follows:

          getElementCollection().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbElementCollection`

### getEmbedded

    public List<JaxbEmbedded> getEmbedded()

  Gets the value of the embedded property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the embedded property.

  For example, to add a new item, do as follows:

          getEmbedded().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbEmbedded`

### getTransient

    public List<JaxbTransient> getTransient()

  Gets the value of the transient property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the transient property.

  For example, to add a new item, do as follows:

          getTransient().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbTransient`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.